Highly critical vulnerability fixed in Nginx Web server software